Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-62746

export Minimum Remoting Version

    XMLWordPrintable

    Details

    • Similar Issues:
    • Released As:
      support-core:2.71

      Description

      It might be great to have the support-core plugin extracting the minimum version required for remoting

       

      ref https://github.com/jenkinsci/jenkins/blob/master/pom.xml#L106 and especially https://github.com/jenkinsci/jenkins/blob/master/core/src/main/java/jenkins/slaves/RemotingVersionInfo.java#L110

       

      Today in nodes.md we have the 'Version' field for agents which is giving the remoting version.

      For the master node we have the `Slave Version` (should be renamed 'Agent Version' or 'Remoting Version') which is providing the remoting version https://github.com/jenkinsci/support-core-plugin/blob/3cf5a71d726501ba59b478ab5b1c43ec8d5bebae/src/main/java/com/cloudbees/jenkins/support/impl/AboutJenkins.java#L173

       

      It could allow us to create a probe in Advisor to detect agents with a remoting version older than the mimimum required

       

      WDYT Allan BURDAJEWICZ ?

       

      Thanks Oleg Nenashev for your feedbacks and links

        Attachments

          Activity

          Show
          allan_burdajewicz Allan BURDAJEWICZ added a comment - Released in https://github.com/jenkinsci/support-core-plugin/releases/tag/support-core-2.71
          Hide
          allan_burdajewicz Allan BURDAJEWICZ added a comment -

          Yeah. Makes sense to me.

          Show
          allan_burdajewicz Allan BURDAJEWICZ added a comment - Yeah. Makes sense to me.

            People

            Assignee:
            allan_burdajewicz Allan BURDAJEWICZ
            Reporter:
            aheritier Arnaud Héritier
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: